#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const yargs_1 = __importDefault(require("yargs"));
const client_1 = __importDefault(require("./client"));
const report_1 = __importDefault(require("./report"));
const argv = yargs_1.default.options({
    artist: {
        type: 'string',
        required: true,
    },
}).argv;
const client = new client_1.default();
const report = new report_1.default();
client.search(argv.artist)
    .then((response) => {
    response.data.forEach((r) => {
        client.fetchSong(r.id)
            .then((response) => {
            report.show(r.title, response.data);
        })
            .catch((e) => {
            console.error(e);
        });
    });
})
    .catch((e) => {
    console.error(e);
});
